Also update the URL to the CeCILL license. Thanks to Paul for noticing that
[scilab.git] / scilab / modules / spreadsheet / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
104         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
105         $(top_srcdir)/config/depcomp TODO
106 @NEED_JAVA_TRUE@am__append_1 = java
107 subdir = modules/spreadsheet
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
110         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
111         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
112         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
113         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
114         $(top_srcdir)/m4/intel_compiler.m4 \
115         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
116         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
117         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
118         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
119         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
120         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
121         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
122         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
123         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
124         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
125         $(top_srcdir)/configure.ac
126 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
127         $(ACLOCAL_M4)
128 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
129 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
130 CONFIG_CLEAN_FILES =
131 CONFIG_CLEAN_VPATH_FILES =
132 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
133 am__vpath_adj = case $$p in \
134     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
135     *) f=$$p;; \
136   esac;
137 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
138 am__install_max = 40
139 am__nobase_strip_setup = \
140   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
141 am__nobase_strip = \
142   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
143 am__nobase_list = $(am__nobase_strip_setup); \
144   for p in $$list; do echo "$$p $$p"; done | \
145   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
146   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
147     if (++n[$$2] == $(am__install_max)) \
148       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
149     END { for (dir in files) print dir, files[dir] }'
150 am__base_list = \
151   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
152   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
153 am__uninstall_files_from_dir = { \
154   test -z "$$files" \
155     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
156     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
157          $(am__cd) "$$dir" && rm -f $$files; }; \
158   }
159 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
160         "$(DESTDIR)$(libscispreadsheet_la_etcdir)" \
161         "$(DESTDIR)$(libscispreadsheet_la_rootdir)" \
162         "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"
163 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
164 libscispreadsheet_algo_la_LIBADD =
165 am__objects_1 = libscispreadsheet_algo_la-xls.lo \
166         libscispreadsheet_algo_la-checkCsvWriteFormat.lo \
167         libscispreadsheet_algo_la-csvDefault.lo \
168         libscispreadsheet_algo_la-csvRead.lo \
169         libscispreadsheet_algo_la-csvWrite.lo \
170         libscispreadsheet_algo_la-getRange.lo \
171         libscispreadsheet_algo_la-splitLine.lo \
172         libscispreadsheet_algo_la-utftolatin.lo
173 am__objects_2 = libscispreadsheet_algo_la-olestream-unwrap.lo \
174         libscispreadsheet_algo_la-pldstr.lo \
175         libscispreadsheet_algo_la-ole.lo \
176         libscispreadsheet_algo_la-bytedecoders.lo \
177         libscispreadsheet_algo_la-logger.lo \
178         libscispreadsheet_algo_la-ripole.lo \
179         libscispreadsheet_algo_la-bt-int.lo
180 am_libscispreadsheet_algo_la_OBJECTS = $(am__objects_1) \
181         $(am__objects_2)
182 libscispreadsheet_algo_la_OBJECTS =  \
183         $(am_libscispreadsheet_algo_la_OBJECTS)
184 AM_V_lt = $(am__v_lt_@AM_V@)
185 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
186 am__v_lt_0 = --silent
187 am__v_lt_1 = 
188 libscispreadsheet_la_DEPENDENCIES = libscispreadsheet-algo.la
189 am__objects_3 = libscispreadsheet_la-gw_spreadsheet.lo \
190         libscispreadsheet_la-sci_xls_read.lo \
191         libscispreadsheet_la-sci_xls_open.lo \
192         libscispreadsheet_la-gw_csv_helpers.lo \
193         libscispreadsheet_la-sci_csvDefault.lo \
194         libscispreadsheet_la-sci_csvRead.lo \
195         libscispreadsheet_la-sci_csvStringToDouble.lo \
196         libscispreadsheet_la-sci_csvTextScan.lo \
197         libscispreadsheet_la-sci_csvWrite.lo
198 am_libscispreadsheet_la_OBJECTS = $(am__objects_3)
199 libscispreadsheet_la_OBJECTS = $(am_libscispreadsheet_la_OBJECTS)
200 AM_V_P = $(am__v_P_@AM_V@)
201 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
202 am__v_P_0 = false
203 am__v_P_1 = :
204 AM_V_GEN = $(am__v_GEN_@AM_V@)
205 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
206 am__v_GEN_0 = @echo "  GEN     " $@;
207 am__v_GEN_1 = 
208 AM_V_at = $(am__v_at_@AM_V@)
209 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
210 am__v_at_0 = @
211 am__v_at_1 = 
212 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
213 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
214 am__depfiles_maybe = depfiles
215 am__mv = mv -f
216 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
217         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
218 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
220         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
221         $(AM_CFLAGS) $(CFLAGS)
222 AM_V_CC = $(am__v_CC_@AM_V@)
223 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
224 am__v_CC_0 = @echo "  CC      " $@;
225 am__v_CC_1 = 
226 CCLD = $(CC)
227 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
229         $(AM_LDFLAGS) $(LDFLAGS) -o $@
230 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
231 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
232 am__v_CCLD_0 = @echo "  CCLD    " $@;
233 am__v_CCLD_1 = 
234 SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
235         $(libscispreadsheet_la_SOURCES)
236 DIST_SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
237         $(libscispreadsheet_la_SOURCES)
238 am__can_run_installinfo = \
239   case $$AM_UPDATE_INFO_DIR in \
240     n|no|NO) false;; \
241     *) (install-info --version) >/dev/null 2>&1;; \
242   esac
243 DATA = $(libscispreadsheet_la_etc_DATA) \
244         $(libscispreadsheet_la_root_DATA) \
245         $(libscispreadsheet_la_sci_gateway_DATA)
246 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
247 # Read a list of newline-separated strings from the standard input,
248 # and print each of them once, without duplicates.  Input order is
249 # *not* preserved.
250 am__uniquify_input = $(AWK) '\
251   BEGIN { nonempty = 0; } \
252   { items[$$0] = 1; nonempty = 1; } \
253   END { if (nonempty) { for (i in items) print i; }; } \
254 '
255 # Make sure the list of sources is unique.  This is necessary because,
256 # e.g., the same source file might be shared among _SOURCES variables
257 # for different programs/libraries.
258 am__define_uniq_tagged_files = \
259   list='$(am__tagged_files)'; \
260   unique=`for i in $$list; do \
261     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
262   done | $(am__uniquify_input)`
263 ETAGS = etags
264 CTAGS = ctags
265 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
266 ACLOCAL = @ACLOCAL@
267 ALL_LINGUAS = @ALL_LINGUAS@
268 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
269 AMTAR = @AMTAR@
270 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
271 ANT = @ANT@
272 ANTLR = @ANTLR@
273 AR = @AR@
274 ARPACK_LIBS = @ARPACK_LIBS@
275 ASM3 = @ASM3@
276 AUTOCONF = @AUTOCONF@
277 AUTOHEADER = @AUTOHEADER@
278 AUTOMAKE = @AUTOMAKE@
279 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
280 AWK = @AWK@
281 BATIK = @BATIK@
282 BLAS_LIBS = @BLAS_LIBS@
283 CC = @CC@
284 CCACHE = @CCACHE@
285 CCDEPMODE = @CCDEPMODE@
286 CFLAGS = @CFLAGS@
287 CHECKSTYLE = @CHECKSTYLE@
288 COBERTURA = @COBERTURA@
289 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
290 COMMONS_IO = @COMMONS_IO@
291 COMMONS_LOGGING = @COMMONS_LOGGING@
292 CPP = @CPP@
293 CPPFLAGS = @CPPFLAGS@
294 CURL_CFLAGS = @CURL_CFLAGS@
295 CURL_CONFIG = @CURL_CONFIG@
296 CURL_LIBS = @CURL_LIBS@
297 CURL_VERSION = @CURL_VERSION@
298 CXX = @CXX@
299 CXXCPP = @CXXCPP@
300 CXXDEPMODE = @CXXDEPMODE@
301 CXXFLAGS = @CXXFLAGS@
302 CYGPATH_W = @CYGPATH_W@
303 DEFS = @DEFS@
304 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
305 DEPDIR = @DEPDIR@
306 DOCBOOK_ROOT = @DOCBOOK_ROOT@
307 DOXYGEN_BIN = @DOXYGEN_BIN@
308 DSYMUTIL = @DSYMUTIL@
309 DUMPBIN = @DUMPBIN@
310 ECHO_C = @ECHO_C@
311 ECHO_N = @ECHO_N@
312 ECHO_T = @ECHO_T@
313 EGREP = @EGREP@
314 EXEEXT = @EXEEXT@
315 F77 = @F77@
316 FFLAGS = @FFLAGS@
317 FFTW3_LIB = @FFTW3_LIB@
318 FFTW_ENABLE = @FFTW_ENABLE@
319 FGREP = @FGREP@
320 FLEXDOCK = @FLEXDOCK@
321 FLIBS = @FLIBS@
322 FOP = @FOP@
323 GENHTML = @GENHTML@
324 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
325 GIWS_BIN = @GIWS_BIN@
326 GLUEGEN2_RT = @GLUEGEN2_RT@
327 GMSGFMT = @GMSGFMT@
328 GMSGFMT_015 = @GMSGFMT_015@
329 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
330 GREP = @GREP@
331 GUI_ENABLE = @GUI_ENABLE@
332 HDF5_CFLAGS = @HDF5_CFLAGS@
333 HDF5_LIBS = @HDF5_LIBS@
334 HELP_ENABLE = @HELP_ENABLE@
335 INSTALL = @INSTALL@
336 INSTALL_DATA = @INSTALL_DATA@
337 INSTALL_PROGRAM = @INSTALL_PROGRAM@
338 INSTALL_SCRIPT = @INSTALL_SCRIPT@
339 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
340 INTLLIBS = @INTLLIBS@
341 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
342 JAR = @JAR@
343 JAVA = @JAVA@
344 JAVAC = @JAVAC@
345 JAVAC_DEBUG = @JAVAC_DEBUG@
346 JAVADOC = @JAVADOC@
347 JAVAH = @JAVAH@
348 JAVASCI_ENABLE = @JAVASCI_ENABLE@
349 JAVA_ENABLE = @JAVA_ENABLE@
350 JAVA_G = @JAVA_G@
351 JAVA_HOME = @JAVA_HOME@
352 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
353 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
354 JDB = @JDB@
355 JEUCLID_CORE = @JEUCLID_CORE@
356 JGRAPHX = @JGRAPHX@
357 JHALL = @JHALL@
358 JLATEXMATH = @JLATEXMATH@
359 JLATEXMATH_FOP = @JLATEXMATH_FOP@
360 JOGL2 = @JOGL2@
361 JROSETTA_API = @JROSETTA_API@
362 JROSETTA_ENGINE = @JROSETTA_ENGINE@
363 JUNIT4 = @JUNIT4@
364 LAPACK_LIBS = @LAPACK_LIBS@
365 LCOV = @LCOV@
366 LD = @LD@
367 LDFLAGS = @LDFLAGS@
368 LIBICONV = @LIBICONV@
369 LIBINTL = @LIBINTL@
370 LIBM = @LIBM@
371 LIBOBJS = @LIBOBJS@
372 LIBS = @LIBS@
373 LIBTOOL = @LIBTOOL@
374 LIPO = @LIPO@
375 LN_S = @LN_S@
376 LOGGING_LEVEL = @LOGGING_LEVEL@
377 LOOKS = @LOOKS@
378 LTLIBICONV = @LTLIBICONV@
379 LTLIBINTL = @LTLIBINTL@
380 LTLIBOBJS = @LTLIBOBJS@
381 MAINT = @MAINT@
382 MAKEINFO = @MAKEINFO@
383 MATIO_CFLAGS = @MATIO_CFLAGS@
384 MATIO_ENABLE = @MATIO_ENABLE@
385 MATIO_LIBS = @MATIO_LIBS@
386 MKDIR_P = @MKDIR_P@
387 MSGCAT = @MSGCAT@
388 MSGFMT = @MSGFMT@
389 MSGFMT_015 = @MSGFMT_015@
390 MSGMERGE = @MSGMERGE@
391 NM = @NM@
392 NMEDIT = @NMEDIT@
393 OBJDUMP = @OBJDUMP@
394 OBJEXT = @OBJEXT@
395 OCAMLC = @OCAMLC@
396 OCAMLDEP = @OCAMLDEP@
397 OCAMLLEX = @OCAMLLEX@
398 OCAMLOPT = @OCAMLOPT@
399 OCAMLYACC = @OCAMLYACC@
400 OPENMP_CFLAGS = @OPENMP_CFLAGS@
401 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
402 OPENMP_ENABLE = @OPENMP_ENABLE@
403 OPENMP_LIBS = @OPENMP_LIBS@
404 OTOOL = @OTOOL@
405 OTOOL64 = @OTOOL64@
406 PACKAGE = @PACKAGE@
407 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
408 PACKAGE_NAME = @PACKAGE_NAME@
409 PACKAGE_STRING = @PACKAGE_STRING@
410 PACKAGE_TARNAME = @PACKAGE_TARNAME@
411 PACKAGE_URL = @PACKAGE_URL@
412 PACKAGE_VERSION = @PACKAGE_VERSION@
413 PATH_SEPARATOR = @PATH_SEPARATOR@
414 PCRE_CFLAGS = @PCRE_CFLAGS@
415 PCRE_CONFIG = @PCRE_CONFIG@
416 PCRE_LIBS = @PCRE_LIBS@
417 PCRE_VERSION = @PCRE_VERSION@
418 PKG_CONFIG = @PKG_CONFIG@
419 POSUB = @POSUB@
420 POW_LIB = @POW_LIB@
421 PYTHON = @PYTHON@
422 RANLIB = @RANLIB@
423 RELOCATABLE = @RELOCATABLE@
424 RT_LIB = @RT_LIB@
425 SAXON = @SAXON@
426 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
427 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
428 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
429 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
430 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
431 SCIRENDERER = @SCIRENDERER@
432 SCIRENDERER_CP = @SCIRENDERER_CP@
433 SCI_CFLAGS = @SCI_CFLAGS@
434 SCI_CXXFLAGS = @SCI_CXXFLAGS@
435 SCI_FFLAGS = @SCI_FFLAGS@
436 SCI_LDFLAGS = @SCI_LDFLAGS@
437 SED = @SED@
438 SET_MAKE = @SET_MAKE@
439 SET_RELOCATABLE = @SET_RELOCATABLE@
440 SHELL = @SHELL@
441 SKINLF = @SKINLF@
442 SPLINT = @SPLINT@
443 STRIP = @STRIP@
444 SWIG_BIN = @SWIG_BIN@
445 SWIG_JAVA = @SWIG_JAVA@
446 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
447 TCLTK_LIBS = @TCLTK_LIBS@
448 TCL_INC_PATH = @TCL_INC_PATH@
449 TK_INC_PATH = @TK_INC_PATH@
450 UMFPACK_ENABLE = @UMFPACK_ENABLE@
451 UMFPACK_LIB = @UMFPACK_LIB@
452 USE_NLS = @USE_NLS@
453 VERSION = @VERSION@
454 WITH_OCAML = @WITH_OCAML@
455 WITH_TKSCI = @WITH_TKSCI@
456 XCOS_ENABLE = @XCOS_ENABLE@
457 XGETTEXT = @XGETTEXT@
458 XGETTEXT_015 = @XGETTEXT_015@
459 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
460 XMKMF = @XMKMF@
461 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
462 XML_APIS_EXT = @XML_APIS_EXT@
463 XML_CONFIG = @XML_CONFIG@
464 XML_FLAGS = @XML_FLAGS@
465 XML_LIBS = @XML_LIBS@
466 XML_VERSION = @XML_VERSION@
467 X_CFLAGS = @X_CFLAGS@
468 X_EXTRA_LIBS = @X_EXTRA_LIBS@
469 X_LIBS = @X_LIBS@
470 X_PRE_LIBS = @X_PRE_LIBS@
471 abs_builddir = @abs_builddir@
472 abs_srcdir = @abs_srcdir@
473 abs_top_builddir = @abs_top_builddir@
474 abs_top_srcdir = @abs_top_srcdir@
475 ac_ct_AR = @ac_ct_AR@
476 ac_ct_CC = @ac_ct_CC@
477 ac_ct_CXX = @ac_ct_CXX@
478 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
479 ac_ct_F77 = @ac_ct_F77@
480 am__include = @am__include@
481 am__leading_dot = @am__leading_dot@
482 am__quote = @am__quote@
483 am__tar = @am__tar@
484 am__untar = @am__untar@
485 bindir = @bindir@
486 build = @build@
487 build_alias = @build_alias@
488 build_cpu = @build_cpu@
489 build_os = @build_os@
490 build_vendor = @build_vendor@
491 builddir = @builddir@
492 cxx_present = @cxx_present@
493 datadir = @datadir@
494 datarootdir = @datarootdir@
495 docdir = @docdir@
496 dvidir = @dvidir@
497 exec_prefix = @exec_prefix@
498 host = @host@
499 host_alias = @host_alias@
500 host_cpu = @host_cpu@
501 host_os = @host_os@
502 host_vendor = @host_vendor@
503 htmldir = @htmldir@
504 includedir = @includedir@
505 infodir = @infodir@
506 install_sh = @install_sh@
507 libdir = @libdir@
508 libexecdir = @libexecdir@
509 localedir = @localedir@
510 localstatedir = @localstatedir@
511 mandir = @mandir@
512 mkdir_p = @mkdir_p@
513 oldincludedir = @oldincludedir@
514 pdfdir = @pdfdir@
515 prefix = @prefix@
516 program_transform_name = @program_transform_name@
517 psdir = @psdir@
518 sbindir = @sbindir@
519 sharedstatedir = @sharedstatedir@
520 srcdir = @srcdir@
521 sysconfdir = @sysconfdir@
522 target_alias = @target_alias@
523 top_build_prefix = @top_build_prefix@
524 top_builddir = @top_builddir@
525 top_srcdir = @top_srcdir@
526 SPREADSHEET_C_SOURCES = \
527 src/c/xls.c \
528 src/c/checkCsvWriteFormat.c \
529 src/c/csvDefault.c \
530 src/c/csvRead.c \
531 src/c/csvWrite.c \
532 src/c/getRange.c \
533 src/c/splitLine.c \
534 src/c/utftolatin.c
535
536 RIPOLE_SOURCES = \
537 src/c/ripole/olestream-unwrap.c \
538 src/c/ripole/pldstr.c \
539 src/c/ripole/ole.c \
540 src/c/ripole/bytedecoders.c \
541 src/c/ripole/logger.c \
542 src/c/ripole/ripole.c \
543 src/c/ripole/bt-int.c
544
545 GATEWAY_C_SOURCES = \
546 sci_gateway/c/gw_spreadsheet.c \
547 sci_gateway/c/sci_xls_read.c \
548 sci_gateway/c/sci_xls_open.c \
549 sci_gateway/c/gw_csv_helpers.c \
550 sci_gateway/c/sci_csvDefault.c \
551 sci_gateway/c/sci_csvRead.c \
552 sci_gateway/c/sci_csvStringToDouble.c \
553 sci_gateway/c/sci_csvTextScan.c \
554 sci_gateway/c/sci_csvWrite.c
555
556 libscispreadsheet_la_CPPFLAGS = \
557 -I$(srcdir)/includes/ \
558 -I$(srcdir)/src/c/ \
559 -I$(srcdir)/src/c/ripole \
560 -I$(top_srcdir)/modules/localization/includes/ \
561 -I$(top_srcdir)/modules/output_stream/includes/ \
562 -I$(top_srcdir)/modules/io/includes/ \
563 -I$(top_srcdir)/modules/string/src/c/ \
564 -I$(top_srcdir)/modules/string/includes/ \
565 -I$(top_srcdir)/modules/api_scilab/includes/ \
566 -I$(top_srcdir)/modules/fileio/includes/ \
567 $(AM_CPPFLAGS)
568
569 pkglib_LTLIBRARIES = libscispreadsheet.la
570 noinst_LTLIBRARIES = libscispreadsheet-algo.la
571 libscispreadsheet_algo_la_SOURCES = $(SPREADSHEET_C_SOURCES) $(RIPOLE_SOURCES)
572 libscispreadsheet_la_SOURCES = $(GATEWAY_C_SOURCES)
573 libscispreadsheet_algo_la_CPPFLAGS = $(libscispreadsheet_la_CPPFLAGS)
574
575 # For the code check (splint)
576 CHECK_SRC = $(SPREADSHEET_C_SOURCES) $(GATEWAY_C_SOURCES) $(RIPOLE_SOURCES)
577 INCLUDE_FLAGS = $(libscispreadsheet_la_CPPFLAGS)
578 libscispreadsheet_la_LIBADD = libscispreadsheet-algo.la
579
580 #### Target ######
581 modulename = spreadsheet
582
583 #### spreadsheet : Conf files ####
584 libscispreadsheet_la_rootdir = $(mydatadir)
585 libscispreadsheet_la_root_DATA = license.txt
586
587 ####�spreadsheet : init scripts ####
588 libscispreadsheet_la_etcdir = $(mydatadir)/etc
589 libscispreadsheet_la_etc_DATA = etc/spreadsheet.quit etc/spreadsheet.start
590
591 ####�spreadsheet : gateway declaration ####
592 libscispreadsheet_la_sci_gatewaydir = $(mydatadir)/sci_gateway
593 libscispreadsheet_la_sci_gateway_DATA = sci_gateway/spreadsheet_gateway.xml
594
595 # Where all the Scilab stuff is installed (macros, help, ...)
596 mydatadir = $(pkgdatadir)/modules/$(modulename)
597
598 # Set AM_* SCI detected settings
599 AM_CPPFLAGS = $(SCI_CPPFLAGS)
600 AM_CFLAGS = $(SCI_CFLAGS)
601 AM_CXXFLAGS = $(SCI_CXXFLAGS)
602 # append includes to AM_FFLAGS to manage fortran includes
603 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
604
605 # Tag shared libraries with the Scilab version
606 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
607
608 # splint options
609 SPLINT_OPTIONS = -weak -booltype BOOL
610
611 ########################### JAVA ######################################
612 #### We are delegating java compilation to ant... Thanks to that
613 #### the procedure will be the same with Microsoft Windows (C)
614 #### and Linux/Unix
615 #######################################################################
616 TARGETS_ALL = $(am__append_1)
617
618 ################ MACROS ######################
619 # Rule to build a macro
620 # NOT USED  AT THE MOMENT
621 SUFFIXES = .sci 
622
623 ########### INSTALL DOCUMENTATION ###################
624
625 # Install documentation files into the right target
626 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
627 # automake needs the html files to be present which is not the case when
628 # we are building Scilab
629
630 # Where it should be installed
631 pkgdocdir = $(mydatadir)
632
633 # What is the mask of the help source
634 DOCMASKXML = *.xml
635
636 # What is the mask of the MathML sources
637 DOCMASKMML = *.mml
638
639 ########### INSTALL DATA ###################
640 # Install macros, help & demos
641 # Where it should be installed
642 pkgmacrosdir = $(mydatadir)
643 # Which directory we process
644 MACRODIRS = macros/
645 # Mask of the Scilab sources macros
646 MACROMASK = *.sci
647 # Mask of the Scilab executable sources macros
648 MACROBUILDMASK = *.sce
649 # Mask of the Scilab compiled macros
650 MACROBINMASK = *.bin
651 # List of the standard directory for tests
652 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
653 # Where the demos should be installed
654 pkgdemosdir = $(mydatadir)
655 # List of the standard directory for demos
656 DEMOS_DIR = demos
657 # List of the standard directory for examples
658 EXAMPLES_DIR = examples
659 # Where to export JAVA archives (.jar)
660 JARDIR = jar/
661 # JAR files mask
662 JARMASK = *.jar
663 # Chapter file 
664 HELP_CHAPTERDIR = help/
665 HELP_CHAPTERFILE = addchapter.sce
666 HELP_CHAPTERLANG = en_US fr_FR pt_BR
667 all: all-am
668
669 .SUFFIXES:
670 .SUFFIXES: .sci .bin .c .lo .o .obj
671 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
672         @for dep in $?; do \
673           case '$(am__configure_deps)' in \
674             *$$dep*) \
675               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
676                 && { if test -f $@; then exit 0; else break; fi; }; \
677               exit 1;; \
678           esac; \
679         done; \
680         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/spreadsheet/Makefile'; \
681         $(am__cd) $(top_srcdir) && \
682           $(AUTOMAKE) --foreign modules/spreadsheet/Makefile
683 .PRECIOUS: Makefile
684 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
685         @case '$?' in \
686           *config.status*) \
687             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
688           *) \
689             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
690             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
691         esac;
692 $(top_srcdir)/Makefile.incl.am:
693
694 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
695         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
696
697 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
698         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
699 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
700         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
701 $(am__aclocal_m4_deps):
702
703 clean-noinstLTLIBRARIES:
704         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
705         @list='$(noinst_LTLIBRARIES)'; \
706         locs=`for p in $$list; do echo $$p; done | \
707               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
708               sort -u`; \
709         test -z "$$locs" || { \
710           echo rm -f $${locs}; \
711           rm -f $${locs}; \
712         }
713
714 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
715         @$(NORMAL_INSTALL)
716         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
717         list2=; for p in $$list; do \
718           if test -f $$p; then \
719             list2="$$list2 $$p"; \
720           else :; fi; \
721         done; \
722         test -z "$$list2" || { \
723           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
724           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
725           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
726           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
727         }
728
729 uninstall-pkglibLTLIBRARIES:
730         @$(NORMAL_UNINSTALL)
731         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
732         for p in $$list; do \
733           $(am__strip_dir) \
734           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
735           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
736         done
737
738 clean-pkglibLTLIBRARIES:
739         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
740         @list='$(pkglib_LTLIBRARIES)'; \
741         locs=`for p in $$list; do echo $$p; done | \
742               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
743               sort -u`; \
744         test -z "$$locs" || { \
745           echo rm -f $${locs}; \
746           rm -f $${locs}; \
747         }
748
749 libscispreadsheet-algo.la: $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_algo_la_DEPENDENCIES) 
750         $(AM_V_CCLD)$(LINK)  $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_LIBADD) $(LIBS)
751
752 libscispreadsheet.la: $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_la_DEPENDENCIES) 
753         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_LIBADD) $(LIBS)
754
755 mostlyclean-compile:
756         -rm -f *.$(OBJEXT)
757
758 distclean-compile:
759         -rm -f *.tab.c
760
761 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo@am__quote@
762 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo@am__quote@
763 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo@am__quote@
764 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo@am__quote@
765 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo@am__quote@
766 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo@am__quote@
767 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo@am__quote@
768 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-logger.Plo@am__quote@
769 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ole.Plo@am__quote@
770 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo@am__quote@
771 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo@am__quote@
772 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo@am__quote@
773 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo@am__quote@
774 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo@am__quote@
775 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-xls.Plo@am__quote@
776 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo@am__quote@
777 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo@am__quote@
778 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo@am__quote@
779 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo@am__quote@
780 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo@am__quote@
781 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo@am__quote@
782 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo@am__quote@
783 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo@am__quote@
784 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo@am__quote@
785
786 .c.o:
787 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
788 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
789 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
790 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
791 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
792
793 .c.obj:
794 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
795 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
796 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
798 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
799
800 .c.lo:
801 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
802 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
803 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
805 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
806
807 libscispreadsheet_algo_la-xls.lo: src/c/xls.c
808 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-xls.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
809 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo $(DEPDIR)/libscispreadsheet_algo_la-xls.Plo
810 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/xls.c' object='libscispreadsheet_algo_la-xls.lo' libtool=yes @AMDEPBACKSLASH@
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
812 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
813
814 libscispreadsheet_algo_la-checkCsvWriteFormat.lo: src/c/checkCsvWriteFormat.c
815 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-checkCsvWriteFormat.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
816 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo
817 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/checkCsvWriteFormat.c' object='libscispreadsheet_algo_la-checkCsvWriteFormat.lo' libtool=yes @AMDEPBACKSLASH@
818 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
819 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
820
821 libscispreadsheet_algo_la-csvDefault.lo: src/c/csvDefault.c
822 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
823 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo
824 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvDefault.c' object='libscispreadsheet_algo_la-csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
825 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
826 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
827
828 libscispreadsheet_algo_la-csvRead.lo: src/c/csvRead.c
829 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
830 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo
831 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvRead.c' object='libscispreadsheet_algo_la-csvRead.lo' libtool=yes @AMDEPBACKSLASH@
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
833 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
834
835 libscispreadsheet_algo_la-csvWrite.lo: src/c/csvWrite.c
836 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
837 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo
838 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvWrite.c' object='libscispreadsheet_algo_la-csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
840 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
841
842 libscispreadsheet_algo_la-getRange.lo: src/c/getRange.c
843 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-getRange.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
844 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo $(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo
845 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getRange.c' object='libscispreadsheet_algo_la-getRange.lo' libtool=yes @AMDEPBACKSLASH@
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
847 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
848
849 libscispreadsheet_algo_la-splitLine.lo: src/c/splitLine.c
850 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-splitLine.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
851 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/splitLine.c' object='libscispreadsheet_algo_la-splitLine.lo' libtool=yes @AMDEPBACKSLASH@
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
854 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
855
856 libscispreadsheet_algo_la-utftolatin.lo: src/c/utftolatin.c
857 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-utftolatin.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
858 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/utftolatin.c' object='libscispreadsheet_algo_la-utftolatin.lo' libtool=yes @AMDEPBACKSLASH@
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
861 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
862
863 libscispreadsheet_algo_la-olestream-unwrap.lo: src/c/ripole/olestream-unwrap.c
864 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-olestream-unwrap.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
865 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo
866 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/olestream-unwrap.c' object='libscispreadsheet_algo_la-olestream-unwrap.lo' libtool=yes @AMDEPBACKSLASH@
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
868 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
869
870 libscispreadsheet_algo_la-pldstr.lo: src/c/ripole/pldstr.c
871 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-pldstr.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
872 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo
873 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/pldstr.c' object='libscispreadsheet_algo_la-pldstr.lo' libtool=yes @AMDEPBACKSLASH@
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
875 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
876
877 libscispreadsheet_algo_la-ole.lo: src/c/ripole/ole.c
878 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
879 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ole.Plo
880 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/ole.c' object='libscispreadsheet_algo_la-ole.lo' libtool=yes @AMDEPBACKSLASH@
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
883
884 libscispreadsheet_algo_la-bytedecoders.lo: src/c/ripole/bytedecoders.c
885 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bytedecoders.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
886 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/bytedecoders.c' object='libscispreadsheet_algo_la-bytedecoders.lo' libtool=yes @AMDEPBACKSLASH@
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
889 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
890
891 libscispreadsheet_algo_la-logger.lo: src/c/ripole/logger.c
892 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-logger.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
893 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo $(DEPDIR)/libscispreadsheet_algo_la-logger.Plo
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/logger.c' object='libscispreadsheet_algo_la-logger.lo' libtool=yes @AMDEPBACKSLASH@
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
897
898 libscispreadsheet_algo_la-ripole.lo: src/c/ripole/ripole.c
899 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ripole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
900 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/ripole.c' object='libscispreadsheet_algo_la-ripole.lo' libtool=yes @AMDEPBACKSLASH@
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
903 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
904
905 libscispreadsheet_algo_la-bt-int.lo: src/c/ripole/bt-int.c
906 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bt-int.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
907 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo
908 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/bt-int.c' object='libscispreadsheet_algo_la-bt-int.lo' libtool=yes @AMDEPBACKSLASH@
909 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
910 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
911
912 libscispreadsheet_la-gw_spreadsheet.lo: sci_gateway/c/gw_spreadsheet.c
913 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_spreadsheet.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
914 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo
915 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_spreadsheet.c' object='libscispreadsheet_la-gw_spreadsheet.lo' libtool=yes @AMDEPBACKSLASH@
916 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
917 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
918
919 libscispreadsheet_la-sci_xls_read.lo: sci_gateway/c/sci_xls_read.c
920 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_xls_read.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
921 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo
922 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xls_read.c' object='libscispreadsheet_la-sci_xls_read.lo' libtool=yes @AMDEPBACKSLASH@
923 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
924 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
925
926 libscispreadsheet_la-sci_xls_open.lo: sci_gateway/c/sci_xls_open.c
927 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_xls_open.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
928 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo
929 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xls_open.c' object='libscispreadsheet_la-sci_xls_open.lo' libtool=yes @AMDEPBACKSLASH@
930 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
932
933 libscispreadsheet_la-gw_csv_helpers.lo: sci_gateway/c/gw_csv_helpers.c
934 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_csv_helpers.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
935 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_csv_helpers.c' object='libscispreadsheet_la-gw_csv_helpers.lo' libtool=yes @AMDEPBACKSLASH@
937 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
938 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
939
940 libscispreadsheet_la-sci_csvDefault.lo: sci_gateway/c/sci_csvDefault.c
941 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
942 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo
943 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvDefault.c' object='libscispreadsheet_la-sci_csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
945 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
946
947 libscispreadsheet_la-sci_csvRead.lo: sci_gateway/c/sci_csvRead.c
948 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
949 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo
950 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvRead.c' object='libscispreadsheet_la-sci_csvRead.lo' libtool=yes @AMDEPBACKSLASH@
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
953
954 libscispreadsheet_la-sci_csvStringToDouble.lo: sci_gateway/c/sci_csvStringToDouble.c
955 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvStringToDouble.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
956 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo
957 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvStringToDouble.c' object='libscispreadsheet_la-sci_csvStringToDouble.lo' libtool=yes @AMDEPBACKSLASH@
958 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
959 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
960
961 libscispreadsheet_la-sci_csvTextScan.lo: sci_gateway/c/sci_csvTextScan.c
962 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvTextScan.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
963 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo
964 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvTextScan.c' object='libscispreadsheet_la-sci_csvTextScan.lo' libtool=yes @AMDEPBACKSLASH@
965 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
966 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
967
968 libscispreadsheet_la-sci_csvWrite.lo: sci_gateway/c/sci_csvWrite.c
969 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
970 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo
971 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvWrite.c' object='libscispreadsheet_la-sci_csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
974
975 mostlyclean-libtool:
976         -rm -f *.lo
977
978 clean-libtool:
979         -rm -rf .libs _libs
980 install-libscispreadsheet_la_etcDATA: $(libscispreadsheet_la_etc_DATA)
981         @$(NORMAL_INSTALL)
982         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
983         if test -n "$$list"; then \
984           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
985           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit 1; \
986         fi; \
987         for p in $$list; do \
988           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
989           echo "$$d$$p"; \
990         done | $(am__base_list) | \
991         while read files; do \
992           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
993           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit $$?; \
994         done
995
996 uninstall-libscispreadsheet_la_etcDATA:
997         @$(NORMAL_UNINSTALL)
998         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
999         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1000         dir='$(DESTDIR)$(libscispreadsheet_la_etcdir)'; $(am__uninstall_files_from_dir)
1001 install-libscispreadsheet_la_rootDATA: $(libscispreadsheet_la_root_DATA)
1002         @$(NORMAL_INSTALL)
1003         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1004         if test -n "$$list"; then \
1005           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1006           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit 1; \
1007         fi; \
1008         for p in $$list; do \
1009           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1010           echo "$$d$$p"; \
1011         done | $(am__base_list) | \
1012         while read files; do \
1013           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1014           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit $$?; \
1015         done
1016
1017 uninstall-libscispreadsheet_la_rootDATA:
1018         @$(NORMAL_UNINSTALL)
1019         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1020         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1021         dir='$(DESTDIR)$(libscispreadsheet_la_rootdir)'; $(am__uninstall_files_from_dir)
1022 install-libscispreadsheet_la_sci_gatewayDATA: $(libscispreadsheet_la_sci_gateway_DATA)
1023         @$(NORMAL_INSTALL)
1024         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1025         if test -n "$$list"; then \
1026           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1027           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit 1; \
1028         fi; \
1029         for p in $$list; do \
1030           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1031           echo "$$d$$p"; \
1032         done | $(am__base_list) | \
1033         while read files; do \
1034           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1035           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit $$?; \
1036         done
1037
1038 uninstall-libscispreadsheet_la_sci_gatewayDATA:
1039         @$(NORMAL_UNINSTALL)
1040         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1041         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1042         dir='$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1043
1044 ID: $(am__tagged_files)
1045         $(am__define_uniq_tagged_files); mkid -fID $$unique
1046 tags: tags-am
1047 TAGS: tags
1048
1049 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1050         set x; \
1051         here=`pwd`; \
1052         $(am__define_uniq_tagged_files); \
1053         shift; \
1054         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1055           test -n "$$unique" || unique=$$empty_fix; \
1056           if test $$# -gt 0; then \
1057             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1058               "$$@" $$unique; \
1059           else \
1060             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1061               $$unique; \
1062           fi; \
1063         fi
1064 ctags: ctags-am
1065
1066 CTAGS: ctags
1067 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1068         $(am__define_uniq_tagged_files); \
1069         test -z "$(CTAGS_ARGS)$$unique" \
1070           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1071              $$unique
1072
1073 GTAGS:
1074         here=`$(am__cd) $(top_builddir) && pwd` \
1075           && $(am__cd) $(top_srcdir) \
1076           && gtags -i $(GTAGS_ARGS) "$$here"
1077 cscopelist: cscopelist-am
1078
1079 cscopelist-am: $(am__tagged_files)
1080         list='$(am__tagged_files)'; \
1081         case "$(srcdir)" in \
1082           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1083           *) sdir=$(subdir)/$(srcdir) ;; \
1084         esac; \
1085         for i in $$list; do \
1086           if test -f "$$i"; then \
1087             echo "$(subdir)/$$i"; \
1088           else \
1089             echo "$$sdir/$$i"; \
1090           fi; \
1091         done >> $(top_builddir)/cscope.files
1092
1093 distclean-tags:
1094         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1095
1096 distdir: $(DISTFILES)
1097         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1098         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1099         list='$(DISTFILES)'; \
1100           dist_files=`for file in $$list; do echo $$file; done | \
1101           sed -e "s|^$$srcdirstrip/||;t" \
1102               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1103         case $$dist_files in \
1104           */*) $(MKDIR_P) `echo "$$dist_files" | \
1105                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1106                            sort -u` ;; \
1107         esac; \
1108         for file in $$dist_files; do \
1109           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1110           if test -d $$d/$$file; then \
1111             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1112             if test -d "$(distdir)/$$file"; then \
1113               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1114             fi; \
1115             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1116               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1117               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1118             fi; \
1119             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1120           else \
1121             test -f "$(distdir)/$$file" \
1122             || cp -p $$d/$$file "$(distdir)/$$file" \
1123             || exit 1; \
1124           fi; \
1125         done
1126 check-am: all-am
1127         $(MAKE) $(AM_MAKEFLAGS) check-local
1128 check: check-am
1129 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1130 installdirs:
1131         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispreadsheet_la_etcdir)" "$(DESTDIR)$(libscispreadsheet_la_rootdir)" "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"; do \
1132           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1133         done
1134 install: install-am
1135 install-exec: install-exec-am
1136 install-data: install-data-am
1137 uninstall: uninstall-am
1138
1139 install-am: all-am
1140         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1141
1142 installcheck: installcheck-am
1143 install-strip:
1144         if test -z '$(STRIP)'; then \
1145           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1146             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1147               install; \
1148         else \
1149           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1150             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1151             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1152         fi
1153 mostlyclean-generic:
1154
1155 clean-generic:
1156
1157 distclean-generic:
1158         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1159         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1160
1161 maintainer-clean-generic:
1162         @echo "This command is intended for maintainers to use"
1163         @echo "it deletes files that may require special tools to rebuild."
1164 clean: clean-am
1165
1166 clean-am: clean-generic clean-libtool clean-local \
1167         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1168
1169 distclean: distclean-am
1170         -rm -rf ./$(DEPDIR)
1171         -rm -f Makefile
1172 distclean-am: clean-am distclean-compile distclean-generic \
1173         distclean-local distclean-tags
1174
1175 dvi: dvi-am
1176
1177 dvi-am:
1178
1179 html: html-am
1180
1181 html-am:
1182
1183 info: info-am
1184
1185 info-am:
1186
1187 install-data-am: install-data-local \
1188         install-libscispreadsheet_la_etcDATA \
1189         install-libscispreadsheet_la_rootDATA \
1190         install-libscispreadsheet_la_sci_gatewayDATA
1191
1192 install-dvi: install-dvi-am
1193
1194 install-dvi-am:
1195
1196 install-exec-am: install-pkglibLTLIBRARIES
1197
1198 install-html: install-html-am
1199
1200 install-html-am: install-html-local
1201
1202 install-info: install-info-am
1203
1204 install-info-am:
1205
1206 install-man:
1207
1208 install-pdf: install-pdf-am
1209
1210 install-pdf-am:
1211
1212 install-ps: install-ps-am
1213
1214 install-ps-am:
1215
1216 installcheck-am:
1217
1218 maintainer-clean: maintainer-clean-am
1219         -rm -rf ./$(DEPDIR)
1220         -rm -f Makefile
1221 maintainer-clean-am: distclean-am maintainer-clean-generic
1222
1223 mostlyclean: mostlyclean-am
1224
1225 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1226         mostlyclean-libtool
1227
1228 pdf: pdf-am
1229
1230 pdf-am:
1231
1232 ps: ps-am
1233
1234 ps-am:
1235
1236 uninstall-am: uninstall-libscispreadsheet_la_etcDATA \
1237         uninstall-libscispreadsheet_la_rootDATA \
1238         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1239         uninstall-pkglibLTLIBRARIES
1240
1241 .MAKE: check-am install-am install-strip
1242
1243 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1244         check-local clean clean-generic clean-libtool clean-local \
1245         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1246         ctags ctags-am distclean distclean-compile distclean-generic \
1247         distclean-libtool distclean-local distclean-tags distdir dvi \
1248         dvi-am html html-am info info-am install install-am \
1249         install-data install-data-am install-data-local install-dvi \
1250         install-dvi-am install-exec install-exec-am install-html \
1251         install-html-am install-html-local install-info \
1252         install-info-am install-libscispreadsheet_la_etcDATA \
1253         install-libscispreadsheet_la_rootDATA \
1254         install-libscispreadsheet_la_sci_gatewayDATA install-man \
1255         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1256         install-ps install-ps-am install-strip installcheck \
1257         installcheck-am installdirs maintainer-clean \
1258         maintainer-clean-generic mostlyclean mostlyclean-compile \
1259         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1260         tags tags-am uninstall uninstall-am \
1261         uninstall-libscispreadsheet_la_etcDATA \
1262         uninstall-libscispreadsheet_la_rootDATA \
1263         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1264         uninstall-pkglibLTLIBRARIES
1265
1266
1267 # This target enables tests for Scilab
1268 check-local: $(top_builddir)/scilab-bin test
1269         if test -d $(mydatadir)/tests; then \
1270           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1271         fi
1272 check-code:
1273         if test -f build.xml; then \
1274                 $(ANT) checkstyle; \
1275         fi
1276         if test -x "$(SPLINT)"; then \
1277                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1278         fi
1279 @NEED_JAVA_TRUE@java:
1280 # Some configurations needs to export JAVA_HOME in the current env
1281 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1282 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1283 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1284 @NEED_JAVA_TRUE@                $(ANT); \
1285 @NEED_JAVA_TRUE@        fi
1286
1287 @NEED_JAVA_TRUE@clean-java:
1288 # Some configurations needs to export JAVA_HOME in the current env
1289 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1290 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1291 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1292 @NEED_JAVA_TRUE@                $(ANT) clean; \
1293 @NEED_JAVA_TRUE@        fi;
1294
1295 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1296 # We call the target swig-build on the variable SWIG_WRAPPERS
1297
1298 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1299 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1300 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1301 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1302 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1303 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1304 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1305 @SWIG_TRUE@             done; \
1306 @SWIG_TRUE@     fi
1307
1308 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1309 # We call the target swig-build on the variable SWIG_WRAPPERS
1310
1311 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1312 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1313 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1314 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1315 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1316 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1317 @GIWS_TRUE@             done; \
1318 @GIWS_TRUE@     fi
1319
1320 @GIWS_TRUE@giws-exception:
1321 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1322 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1323 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1324
1325 macros:
1326         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1327                 echo "Error : Cannot build $< : Scilab has not been built"; \
1328         else \
1329                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1330         fi)
1331
1332 # Removes the macros
1333 clean-macros:
1334 # Removes macros (*.bin generated from .sci)
1335         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1336                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1337                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1338         done
1339
1340 test:
1341 # More tests could be added here
1342         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1343         if test -f build.xml -a $$USEANT -eq 1; then \
1344                 $(ANT) test; \
1345         fi
1346
1347 all-local: $(TARGETS_ALL)
1348
1349 .sci.bin:
1350         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1351         echo "Error : Cannot build $< : Scilab has not been build"; \
1352         else \
1353         echo "Creating $@"; \
1354         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1355         fi )
1356
1357 install-html-local:
1358
1359 install-data-local-local:
1360 # Mainly for javasci
1361         @if test -d $(srcdir)/javadoc; then \
1362                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1363         fi
1364 # If the user wants the help sources to be installed
1365 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1366 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1367 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1368 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1369 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1370 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1371 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1372 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1373 @INSTALL_HELP_XML_TRUE@           done ; \
1374 @INSTALL_HELP_XML_TRUE@         fi; \
1375 @INSTALL_HELP_XML_TRUE@  fi; \
1376 @INSTALL_HELP_XML_TRUE@ done; \
1377 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1378 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1379 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1380 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1381 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1382 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1383 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1384 @INSTALL_HELP_XML_TRUE@           done ; \
1385 @INSTALL_HELP_XML_TRUE@         fi; \
1386 @INSTALL_HELP_XML_TRUE@ fi
1387 install-data-local:
1388 # Install the tests
1389         @echo "-------- Install tests (if any) --------"; \
1390         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1391           if test -d $(srcdir)/$$dir/; then \
1392             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1393                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1394                     if test -d "$(srcdir)/$$dir/$$file"; then \
1395                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1396                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1397                     else \
1398                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1399                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1400                     fi \
1401                   done; \
1402           fi; \
1403         done
1404 # Install the help chapter
1405         @echo "-------- Install the help chapter (if any) --------"; \
1406         for lang in $(HELP_CHAPTERLANG); do \
1407                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1408                 if test -f $$HELPFILE; then \
1409                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1410                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1411                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1412                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1413                 fi; \
1414         done
1415 # Install the demos & examples
1416         @echo "-------- Install demos & examples (if any) --------"; \
1417         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1418           if test -d $(srcdir)/$$dir/; then \
1419             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1420                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1421                     if test -d "$(srcdir)/$$dir/$$file"; then \
1422                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1423                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1424                     else \
1425                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1426                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1427                     fi \
1428                   done; \
1429           fi; \
1430         done
1431 # Install the macros
1432         @echo "-------- Install macros (if any) --------"; \
1433         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1434           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1435                 if test -d $(srcdir)/$$dir/; then \
1436                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1437                         if test -n "$(MACROSSPECIALEXT)"; then \
1438                                 specialExtDir=""; \
1439                                 for specialExt in $(MACROSSPECIALEXT); do \
1440                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1441                                 done; \
1442                                 FILELIST="$$FILELIST $$specialExtDir"; \
1443                         fi; \
1444                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1445                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1446                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1447                   done; \
1448                 fi; \
1449         done
1450 # Install java files (.jar)
1451         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1452         echo "-------- Install jar files --------"; \
1453     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1454           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1455                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1456                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1457           done ; \
1458         fi
1459
1460 ########### CLEAN ###################
1461 # Clean help (generated automatically by Scilab)
1462 # It used to clean the macro (clean-macros) but this was causing
1463 # make clean && make to fail Scilab startup
1464 @NEED_JAVA_TRUE@clean-local: clean-java
1465 @NEED_JAVA_FALSE@clean-local:
1466
1467 distclean-local:
1468         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1469
1470 .PHONY: macros java swig giws
1471
1472 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1473 # Otherwise a system limit (for SysV at least) may be exceeded.
1474 .NOEXPORT: